package cn.com.qmth.examcloud.core.examwork.dao;

import cn.com.qmth.examcloud.api.commons.security.bean.UserType;
import cn.com.qmth.examcloud.core.examwork.dao.entity.UserNoticeEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.QueryByExampleExecutor;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

public interface UserNoticeRepo extends JpaRepository<UserNoticeEntity, Long>,
        QueryByExampleExecutor<UserNoticeEntity>, JpaSpecificationExecutor<UserNoticeEntity> {
    List<UserNoticeEntity> findByRootOrgIdAndUserTypeAndUserIdOrderByCreationTimeDesc(Long rootOrgId,UserType userType,Long userId);

    List<UserNoticeEntity> findByRootOrgIdAndUserTypeAndUserIdAndHasReadOrderByCreationTimeDesc(Long rootOrgId,UserType userType,Long userId,Boolean hasRead);

    @Transactional
    @Modifying
    @Query(value = "update EC_E_USER_NOTICE set has_read = 1 where notice_id in ?1 and user_type = ?2 and user_id = ?3",nativeQuery = true)
    int updateNoticeReadStatus(List<Long> noticeId, String userType, Long userId);

    @Transactional
    @Modifying
    void deleteByNoticeId(Long noticeId);
}
