package cn.com.qmth.examcloud.core.examwork.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Index;
import javax.persistence.Table;

import cn.com.qmth.examcloud.web.jpa.JpaEntity;

@Entity
@Table(name = "EC_E_EXAM_STUDENT", indexes = {
		@Index(name = "IDX_E_E_S_001001", columnList = "studentId,examId,courseId", unique = true),
		@Index(name = "IDX_E_E_S_001002", columnList = "rootOrgId,name", unique = false),
		@Index(name = "IDX_E_E_S_001003", columnList = "rootOrgId,studentCode", unique = false),
		@Index(name = "IDX_E_E_S_001004", columnList = "rootOrgId,identityNumber", unique = false),
		@Index(name = "IDX_E_E_S_001005", columnList = "courseId", unique = false),
		@Index(name = "IDX_E_E_S_001006", columnList = "studentId", unique = false)})
public class ExamStudentEntity extends JpaEntity {

	private static final long serialVersionUID = 757531976286006550L;

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	private Long id;

	/**
	 * 考试
	 */
	@Column(nullable = false)
	private Long examId;

	/**
	 * 学生用户id
	 */
	@Column(nullable = false)
	private Long studentId;

	/**
	 * 身份证号
	 */
	@Column(nullable = false)
	private String identityNumber;

	/**
	 * 学号
	 */
	private String studentCode;

	/**
	 * 考生姓名
	 */
	@Column(nullable = false)
	private String name;

	/**
	 * 学校id
	 */
	@Column(nullable = false)
	private Long rootOrgId;

	/**
	 * 学习中心id
	 */
	@Column(nullable = false)
	private Long orgId;

	/**
	 * 学习中心编码
	 */
	@Column(nullable = false)
	private String orgCode;

	/**
	 * 课程ID
	 */
	@Column(nullable = false)
	private Long courseId;

	/**
	 * 课程名称
	 */
	@Column(nullable = false)
	private String courseName;

	/**
	 * 课程ID
	 */
	@Column(nullable = false)
	private String courseCode;

	/**
	 * 课程等级
	 */
	@Column(nullable = false)
	private String courseLevel;

	/**
	 * 试卷类型
	 */
	private String paperType;

	/**
	 * 专业名称
	 */
	private String specialtyName;

	/**
	 * 年级
	 */
	private String grade;

	/**
	 * 备注
	 */
	private String remark;

	/**
	 * 考点
	 */
	private String examSite;

	/**
	 * 信息采集人
	 */
	private String infoCollector;

	@Column(nullable = false)
	private Boolean enable;

	/**
	 * 扩展属性1
	 */
	private String ext1;

	/**
	 * 扩展属性2
	 */
	private String ext2;

	/**
	 * 扩展属性3
	 */
	private String ext3;

	/**
	 * 扩展属性4
	 */
	private String ext4;

	/**
	 * 扩展属性5
	 */
	private String ext5;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getStudentId() {
		return studentId;
	}

	public void setStudentId(Long studentId) {
		this.studentId = studentId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public String getIdentityNumber() {
		return identityNumber;
	}

	public void setIdentityNumber(String identityNumber) {
		this.identityNumber = identityNumber;
	}

	public Long getCourseId() {
		return courseId;
	}

	public void setCourseId(Long courseId) {
		this.courseId = courseId;
	}

	public String getPaperType() {
		return paperType;
	}

	public void setPaperType(String paperType) {
		this.paperType = paperType;
	}

	public String getSpecialtyName() {
		return specialtyName;
	}

	public void setSpecialtyName(String specialtyName) {
		this.specialtyName = specialtyName;
	}

	public String getGrade() {
		return grade;
	}

	public void setGrade(String grade) {
		this.grade = grade;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getExamSite() {
		return examSite;
	}

	public void setExamSite(String examSite) {
		this.examSite = examSite;
	}

	public String getInfoCollector() {
		return infoCollector;
	}

	public void setInfoCollector(String infoCollector) {
		this.infoCollector = infoCollector;
	}

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

	public String getCourseLevel() {
		return courseLevel;
	}

	public void setCourseLevel(String courseLevel) {
		this.courseLevel = courseLevel;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public String getExt1() {
		return ext1;
	}

	public void setExt1(String ext1) {
		this.ext1 = ext1;
	}

	public String getExt2() {
		return ext2;
	}

	public void setExt2(String ext2) {
		this.ext2 = ext2;
	}

	public String getExt3() {
		return ext3;
	}

	public void setExt3(String ext3) {
		this.ext3 = ext3;
	}

	public String getExt4() {
		return ext4;
	}

	public void setExt4(String ext4) {
		this.ext4 = ext4;
	}

	public String getExt5() {
		return ext5;
	}

	public void setExt5(String ext5) {
		this.ext5 = ext5;
	}

}
