package cn.com.qmth.examcloud.core.examwork.service;

import java.io.File;
import java.util.List;
import java.util.Map;

import cn.com.qmth.examcloud.api.commons.enums.CURD;
import cn.com.qmth.examcloud.core.examwork.dao.entity.ExamEntity;
import cn.com.qmth.examcloud.core.examwork.dao.entity.ExamSpecialSettingsEntity;
import cn.com.qmth.examcloud.core.examwork.service.bean.ExamInfo;
import cn.com.qmth.examcloud.core.examwork.service.bean.ExamSpecialSettingsInfo;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年8月17日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface ExamService {

	/**
	 * 保存考试
	 *
	 * @author WANGWEI
	 * @param examInfo
	 * @return
	 */
	ExamEntity saveExam(ExamInfo examInfo, CURD es);

	/**
	 * 保存考试机构设置
	 *
	 * @author WANGWEI
	 * @param examSpecialInfo
	 * @return
	 */
	ExamSpecialSettingsEntity saveExamSpecialSettings(ExamSpecialSettingsInfo examSpecialInfo);

	/**
	 * 查询考试机构属性
	 *
	 * @author WANGWEI
	 * @param examId
	 * @param orgId
	 * @param key
	 * @return
	 */
	String getExamOrgProperty(Long examId, Long orgId, String key);

	/**
	 * 查询考试学生属性
	 *
	 * @author WANGWEI
	 * @param examId
	 * @param studentId
	 * @param key
	 * @return
	 */
	String getExamStudentProperty(Long examId, Long studentId, String key);

	/**
	 * 导入学习中心设置
	 *
	 * @author WANGWEI
	 * @param examId
	 * @param file
	 * @return
	 */
	List<Map<String, Object>> importExamOrgSettings(Long examId, File file);

	/**
	 * 查询考试属性
	 *
	 * @author WANGWEI
	 * @param examId
	 * @param key
	 * @return
	 */
	String getExamProperty(Long examId, String key);

}
