/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-31 09:35:22.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.examwork.service.bean;

import cn.com.qmth.examcloud.api.commons.enums.NoticeReceiverRuleType;
import cn.com.qmth.examcloud.api.commons.enums.NoticeStatus;
import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.validation.constraints.NotNull;

/**
 * 添加通知信息实体
 */
public class AddNoticeInfo implements JsonSerializable {

    private static final long serialVersionUID = -7739022488162924094L;

    /**
     * 组织机构id
     */
    private Long rootOrgId;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 标题
     */
    private String title;
    /**
     * 内容
     */
    private String content;

    /**
     * 规则类型
     */
    @Enumerated(EnumType.STRING)
    private NoticeReceiverRuleType ruleType;

    /**
     * 公告状态
     */
    @Enumerated(EnumType.STRING)
    @NotNull(message = "公告状态")
    private NoticeStatus noticeStatus;
    /**
     * 发送对象
     */
    private String publishObjectId;
    /**
     * 发布者
     */
    private String publisher;

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getPublishObjectId() {
        return publishObjectId;
    }

    public void setPublishObjectId(String publishObjectId) {
        this.publishObjectId = publishObjectId;
    }

    public String getPublisher() {
        return publisher;
    }

    public void setPublisher(String publisher) {
        this.publisher = publisher;
    }


    public NoticeReceiverRuleType getRuleType() {
        return ruleType;
    }

    public void setRuleType(NoticeReceiverRuleType ruleType) {
        this.ruleType = ruleType;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public NoticeStatus getNoticeStatus() {
        return noticeStatus;
    }

    public void setNoticeStatus(NoticeStatus noticeStatus) {
        this.noticeStatus = noticeStatus;
    }
}