/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-31 09:35:03.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.examwork.service.bean;

import cn.com.qmth.examcloud.api.commons.enums.NoticeStatus;
import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.EnumType;
import javax.persistence.Enumerated;

/**
 * 公告查询类
 */
@ApiModel
public class NoticeInfoQuery implements JsonSerializable {

    private static final long serialVersionUID = -1962646957678995495L;

    /**
     * 学校id
     */
    private Long rootOrgId;
    /**
     * 用户id
     */
    private long userId;
    /**
     * 标题
     */
    @ApiModelProperty("标题")
    private String title;
    /**
     * 发送状态
     */
    @ApiModelProperty("发送状态")
    @Enumerated(EnumType.STRING)
    private NoticeStatus publishStatus;

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public long getUserId() {
        return userId;
    }

    public void setUserId(long userId) {
        this.userId = userId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public NoticeStatus getPublishStatus() {
        return publishStatus;
    }

    public void setPublishStatus(NoticeStatus publishStatus) {
        this.publishStatus = publishStatus;
    }
}